#$Id: edb.spec,v 1.5 2003/04/17 20:15:35 dude Exp $

%define date 20030417

Summary: Enlightenment DataBase access library.
Name: edb
Version: 1.0.3
Release: fr%{?date:4.%{date}.}1
License: BSD
Group: System Environment/Libraries
URL: http://www.enlightenment.org/pages/edb.html
Source: http://prdownloads.sourceforge.net/enlightenment/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root

%description
Edb is a simple, clean, high-level db access/storage library.


%package devel
Summary: Enlightenment DB header and development libraries.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Edb development header and libraries.


%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README
%{_bindir}/edb_*
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_bindir}/edb-config
%{_includedir}/*
%{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_libdir}/*.so

%changelog
* Thu Apr 17 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to today's CVS 1.0.3 snapshot.

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 9.
- Exclude .la file.

* Wed Nov 13 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt against Red Hat Linux 8.0.

* Fri May  3 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt against Red Hat Linux 7.3.
- Added the %{?_smp_mflags} expansion.

* Fri Jan 19 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup and update to 1.0.3.

